> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/versions/community-v0.3.4/stepbystep/configuration/field-definitions.md).

# Field Definitions

Defining which fields should appear in the output and whether and how they need to be used in matching

#### fieldDefinition

This is a JSON array representing the fields from the source data to be used for matching, and the kind of matching they need.

Each field denotes a column from the input. Fields have the following JSON attributes:

**fieldName**

The name of the field from the input data schema

**fields**

To be defined later. For now, please keep this as the fieldName

**dataType**

Type of the column - string, integer, double, etc.

**matchType**

The way to match the given field. Multiple match types, separated by commas, can also be used. Here are the different types supported.

#### showConcise

| Match Type             | Description                                                                                                                                                                                                                       | Can be applied to             |
| ---------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| FUZZY                  | Broad matches with typos, abbreviations, and other variations.                                                                                                                                                                    | string, integer, double, date |
| EXACT                  | No tolerance with variations, Preferable for country codes, pin codes, and other categorical variables where you expect no variations.                                                                                            | string                        |
| DONT\_USE              | Appears in the output but no computation is done on these. Helpful for fields like ids that are required in the output. DONT\_USE fields are not shown to the user while labeling, if [showConcise](#showconcise) is set to true. | any                           |
| EMAIL                  | Matches only the id part of the email before the @ character                                                                                                                                                                      | any                           |
| PINCODE                | Matches pin codes like xxxxx-xxxx with xxxxx                                                                                                                                                                                      | string                        |
| NULL\_OR\_\_\_BLANK    | By default Zingg marks matches as                                                                                                                                                                                                 | string                        |
| TEXT                   | Compares words overlap between two strings.                                                                                                                                                                                       | string                        |
| NUMERIC                | extracts numbers from strings and compares how many of them are same across both strings                                                                                                                                          |                               |
| NUMERIC\_WITH\_UNITS   | extracts product codes or numbers with units, for example 16gb from strings and compares how many are same across both strings                                                                                                    | string                        |
| ONLY\_ALPHABETS\_EXACT | only looks at the alphabetical characters and compares if they are exactly the same                                                                                                                                               | string                        |
| ONLY\_ALPHABETS\_FUZZY | ignores any numbers in the strings and then does a fuzzy comparison                                                                                                                                                               | string                        |

####


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/versions/community-v0.3.4/stepbystep/configuration/field-definitions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
